test: tagSERVERINFO struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# tagSERVERINFO Struct Reference

`#include <user.h>`

List of all members.

## Public Attributes

WORD | wRIPFlags
WORD | wSRVIFlags
WORD | wRIPPID
WORD | wRIPError
DWORD | cHandleEntries
WNDPROC_PWNDEX | mpFnidPfn [FNID_ARRAY_SIZE]
WNDPROC_PWND | aStoCidPfn [(FNID_WNDPROCEND-FNID_START)+1]
WORD | mpFnid_serverCBWndProc [(FNID_END-FNID_START)+1]
_PFNCLIENT | apfnClientA
_PFNCLIENT | apfnClientW
_PFNCLIENTWORKER | apfnClientWorker
DWORD | cbHandleTable
ATOM | atomSysClass [ICLS_MAX]
DWORD | dwDefaultHeapBase
DWORD | dwDefaultHeapSize
UINT | uiShellMsg
UINT | wMaxBtnSize
DWORD | mpAllMBbtnStringsToSTR [MAX_MB_STRINGS]
DWORD | AllMBbtnStrings [MAX_MB_STRINGS]
WCHAR | szOK [10]
WCHAR | szCANCEL [15]
WCHAR | szYES [10]
WCHAR | szNO [10]
WCHAR | szABORT [15]
WCHAR | szRETRY [15]
WCHAR | szIGNORE [15]
WCHAR | szCLOSE [15]
WCHAR | szHELP [15]
ATOM | atomIconSmProp
ATOM | atomIconProp
ATOM | atomContextHelpIdProp
char | acOemToAnsi [NCHARS]
char | acAnsiToOem [NCHARS]
| PERUSERSERVERINFO
KERNEL_ULONG_PTR | cHandleEntries
_PFNCLIENT | apfnClientA
_PFNCLIENT | apfnClientW
_PFNCLIENTWORKER | apfnClientWorker
MBSTRING | MBStrings [MAX_MB_STRINGS]

## Member Data Documentation

char tagSERVERINFO::acAnsiToOem

| Definition at line 1317 of file inc/user.h. Referenced by CharToOemA(), CharToOemBuffA(), and InitAnsiOem().

char tagSERVERINFO::acOemToAnsi

| Definition at line 1316 of file inc/user.h. Referenced by InitAnsiOem(), OemToCharA(), and OemToCharBuffA().

DWORD tagSERVERINFO::AllMBbtnStrings[MAX_MB_STRINGS]

| Definition at line 1225 of file client/nt6/user.h.

struct _PFNCLIENT tagSERVERINFO::apfnClientA

| Definition at line 1288 of file inc/user.h.

struct _PFNCLIENT tagSERVERINFO::apfnClientA

| Definition at line 1207 of file client/nt6/user.h. Referenced by _WOWCleanup(), _WOWModuleUnload(), InitializeClientPfnArrays(), MapClientToServerPfn(), PseudoDestroyClassWindows(), xxxHkCallHook(), and xxxWrapCallWindowProc().

struct _PFNCLIENT tagSERVERINFO::apfnClientW

| Definition at line 1289 of file inc/user.h.

struct _PFNCLIENT tagSERVERINFO::apfnClientW

| Definition at line 1208 of file client/nt6/user.h. Referenced by _WOWModuleUnload(), InitializeClientPfnArrays(), MapClientToServerPfn(), xxxHkCallHook(), and xxxWrapCallWindowProc().

struct _PFNCLIENTWORKER tagSERVERINFO::apfnClientWorker

| Definition at line 1290 of file inc/user.h.

struct _PFNCLIENTWORKER tagSERVERINFO::apfnClientWorker

| Definition at line 1209 of file client/nt6/user.h. Referenced by InitializeClientPfnArrays().

WNDPROC_PWND tagSERVERINFO::aStoCidPfn

| Definition at line 1280 of file inc/user.h.

ATOM tagSERVERINFO::atomContextHelpIdProp

| Definition at line 1314 of file inc/user.h. Referenced by _GetWindowContextHelpId(), _SetWindowContextHelpId(), GetContextHelpId(), SetupClassAtoms(), and xxxHelpLoop().

ATOM tagSERVERINFO::atomIconProp

| Definition at line 1312 of file inc/user.h. Referenced by _HasCaptionIcon(), DWP_GetIcon(), SetupClassAtoms(), xxxDWP_SetIcon(), xxxFreeWindow(), xxxPaintIconsInSwitchWindow(), and xxxRecreateSmallIcons().

ATOM tagSERVERINFO::atomIconSmProp

| Definition at line 1311 of file inc/user.h. Referenced by _HasCaptionIcon(), DestroyWindowSmIcon(), DWP_GetIcon(), SetupClassAtoms(), xxxCreateWindowSmIcon(), xxxDWP_SetIcon(), xxxGetWindowSmIcon(), and xxxSetClassIconEnum().

ATOM tagSERVERINFO::atomSysClass

| Definition at line 1297 of file inc/user.h. Referenced by _GetComboBoxInfo(), _GetListBoxInfo(), _RealChildWindowFromPoint(), _WOWModuleUnload(), ButtonWndProcWorker(), ConnectConv(), DDEMLClientWndProc(), GetLastTopMostWindowNoIME(), HMChangeOwnerThread(), ImeCanDestroyDefIME(), ImeSetFutureOwner(), ImeSetTopmost(), InternalCreateDialog(), InternalDdeInitialize(), IsChildSameThread(), LinkWindow(), NtUserGetClassName(), NtUserSetImeOwnerWindow(), ProcessDDEMLInitiate(), RegisterService(), SetupClassAtoms(), StaticWndProcWorker(), xxxCBCreateHandler(), xxxCheckImeShowStatus(), xxxCreateDefaultImeWindow(), xxxCreateWindowEx(), xxxCsDdeInitialize(), xxxDefWindowProc(), xxxDestroyWindow(), xxxFocusSetInputContext(), and xxxFreeWindow().

DWORD tagSERVERINFO::cbHandleTable

| Definition at line 1292 of file inc/user.h. Referenced by HMGrowHandleTable(), and HMInitHandleTable().

KERNEL_ULONG_PTR tagSERVERINFO::cHandleEntries

| Definition at line 1270 of file inc/user.h.

DWORD tagSERVERINFO::cHandleEntries

| Definition at line 1189 of file client/nt6/user.h. Referenced by GetFullUserHandle(), HMAllocObject(), HMGrowHandleTable(), HMInitHandleEntries(), HMInitHandleTable(), and PtiWindow().

DWORD tagSERVERINFO::dwDefaultHeapBase

| Definition at line 1299 of file inc/user.h.

DWORD tagSERVERINFO::dwDefaultHeapSize

| Definition at line 1300 of file inc/user.h. Referenced by Win32UserInitialize().

MBSTRING tagSERVERINFO::MBStrings[MAX_MB_STRINGS]

| Definition at line 1306 of file inc/user.h. Referenced by LW_LoadSomeStrings(), and MessageBoxWorker().

DWORD tagSERVERINFO::mpAllMBbtnStringsToSTR[MAX_MB_STRINGS]

| Definition at line 1224 of file client/nt6/user.h.

WORD tagSERVERINFO::mpFnid_serverCBWndProc

| Definition at line 1283 of file inc/user.h.

WNDPROC_PWNDEX tagSERVERINFO::mpFnidPfn

| Definition at line 1279 of file inc/user.h.

tagSERVERINFO::PERUSERSERVERINFO

| Definition at line 1323 of file inc/user.h.

WCHAR tagSERVERINFO::szABORT[15]

| Definition at line 1230 of file client/nt6/user.h.

WCHAR tagSERVERINFO::szCANCEL[15]

| Definition at line 1227 of file client/nt6/user.h.

WCHAR tagSERVERINFO::szCLOSE[15]

| Definition at line 1233 of file client/nt6/user.h.

WCHAR tagSERVERINFO::szHELP[15]

| Definition at line 1234 of file client/nt6/user.h.

WCHAR tagSERVERINFO::szIGNORE[15]

| Definition at line 1232 of file client/nt6/user.h.

WCHAR tagSERVERINFO::szNO[10]

| Definition at line 1229 of file client/nt6/user.h.

WCHAR tagSERVERINFO::szOK[10]

| Definition at line 1226 of file client/nt6/user.h.

WCHAR tagSERVERINFO::szRETRY[15]

| Definition at line 1231 of file client/nt6/user.h.

WCHAR tagSERVERINFO::szYES[10]

| Definition at line 1228 of file client/nt6/user.h.

UINT tagSERVERINFO::uiShellMsg

| Definition at line 1302 of file inc/user.h. Referenced by DefWindowProcWorker(), PostShellHookMessages(), SetupClassAtoms(), and xxxSysCommand().

UINT tagSERVERINFO::wMaxBtnSize

| Definition at line 1304 of file inc/user.h. Referenced by MB_AddPushButtons(), MB_CopyToClipboard(), SoftModalMessageBox(), and xxxSetNCFonts().

WORD tagSERVERINFO::wRIPError

| Definition at line 1268 of file inc/user.h.

WORD tagSERVERINFO::wRIPFlags

| Definition at line 1265 of file inc/user.h. Referenced by _SetRipFlags(), GetRipFlags(), and Win32UserInitialize().

WORD tagSERVERINFO::wRIPPID

| Definition at line 1267 of file inc/user.h. Referenced by _SetRipFlags(), and GetRipPID().

WORD tagSERVERINFO::wSRVIFlags

| Definition at line 1266 of file inc/user.h. Referenced by GetSystemMetrics().

The documentation for this struct was generated from the following files:

- client/nt6/user.h
- inc/user.h